Error: NI Licenses Unsupported by Licensing Server with FlexLM

Updated Jul 21, 2022

Reported In

Other

FlexNet Publisher (formerly FlexLM)

Issue Details

After upgrading FlexLM or installing a new license file to my license server, I am getting errors for one or multiple software packages reporting that my licenses are "unsupported by licensing server". Why am I seeing this and how do I correct it?

Solution

  • If the Flex software was recently updated, get and install a new license file from NI.
  • If this does not work, check the server's options file. This file should exactly reflect the package names and version numbers that are presented in the installed license file. Ensure your options file is configured as explained in our guide onĀ Construct Options File for FLEXnet Publisher Server
  • Review if the license file has the "BORROW" option included. NI does not support borrowing and this may cause these messages to pop up on the debug log. You can email services@ni.com to request removing the "BORROW" option.